Ist es möglich Debian-Pakete (*.deb) zu installieren?

Alles rund um die Installation Eures Linuxsystems, sowie die Updatefunktionen des Systems und das Paketmanagement

Moderator: Moderatoren

Antworten
Benutzeravatar
Prophet005
Newbie
Newbie
Beiträge: 38
Registriert: 5. Mär 2006, 00:46

Ist es möglich Debian-Pakete (*.deb) zu installieren?

Beitrag von Prophet005 » 21. Jun 2006, 17:38

Moin,

ich wollte man anfragen ob es möglich ist Debian-Pakete (*.deb) auf SuSe zu installieren? Wenn ja wie?

Gruß, Prophet005

Werbung:
traffic
Guru
Guru
Beiträge: 2750
Registriert: 13. Feb 2005, 05:50

Beitrag von traffic » 21. Jun 2006, 17:42

Nein, die kann man nicht direkt installieren. Man kann sie aber mit dem Programm "alien" in RPMs umwandeln und dann die daraus entstandenen RPMs installieren.

Darf ich mal fragen, um welche Software es geht? Möglicherweise gibt es die bereits irgendwo als RPM, wo Du bisher nicht gesucht hast.

Benutzeravatar
Prophet005
Newbie
Newbie
Beiträge: 38
Registriert: 5. Mär 2006, 00:46

Beitrag von Prophet005 » 21. Jun 2006, 22:28

In diesem fall um www.openttd.org . Aber die Frage hat natürlich auch allgemeinen hintergrund. So hat man viel mehr möglichkeiten :)

EDIT: So habe nun versucht es mit alien zu installieren.

Code: Alles auswählen

alien -rci openttd_0.4.7-1_i386.deb
Leider fehlt eine abhängigkeit: libpng12.so.0(PNG12_0) is needed by openttd-0.4.7-2.i386

Ich weiß nicht woher ich die bekommen soll. Oder hast du eine Quelle gefunden die das Spiel auch als rpm anbietet?

Grothesk
Ultimate Guru
Ultimate Guru
Beiträge: 14662
Registriert: 26. Okt 2003, 11:52
Wohnort: Köln

Beitrag von Grothesk » 21. Jun 2006, 22:53

Nimm doch den sourececode her und bau es dir selber.
"Die Rechtschreibung ist Freeware, du darfst sie kostenlos nutzen. Allerdings ist sie nicht OpenSource, d.h. du sollst sie nicht verändern oder in veränderter Form veröffentlichen."

traffic
Guru
Guru
Beiträge: 2750
Registriert: 13. Feb 2005, 05:50

Beitrag von traffic » 21. Jun 2006, 23:02

Welche SUSE-Version benutzt Du denn?

Wenn Du die 10.1 benutzt, und nur dann, probier es mit diesem RPM:

http://rpm.pbone.net/index.php3/stat/4/ ... 6.rpm.html

Das umgewandelte Debian-Paket kannst Du vergessen, wird nicht funktionieren.

Benutzeravatar
Prophet005
Newbie
Newbie
Beiträge: 38
Registriert: 5. Mär 2006, 00:46

Beitrag von Prophet005 » 21. Jun 2006, 23:29

Ich habe es jetzt Kompiliert bekommen. Danke für eure hilfe! :oops:

land_of_green
Newbie
Newbie
Beiträge: 27
Registriert: 27. Mär 2006, 21:35

OpenTTD unter SuSE 9.3

Beitrag von land_of_green » 28. Aug 2006, 21:37

Hallo zusammen,

habe das gleiche Problem wie Prophet005 vor einiger Zeit: OpenTTD soll unter SUSE 9.3 laufen, nur das Kompilieren krieg ich nicht hin:

- Beim Versuch, die lt. Doku erforderliche SDL-Library zu installieren, meckert YaST div. nicht aufgelöste Abhängigkeiten an. Deshalb war ich ziemlich verunsichert und hab vorerst nix installiert.

Wer nimmt mich an die Hand und führt mich durch's Kompilieren?

Vielen Dank sagt

Stefan

Antworten

Wer ist online?

Mitglieder in diesem Forum: 0 Mitglieder und 2 Gäste